<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="xiaoqu.home.open.mapper.db1.DistrictStrategyMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="xiaoqu.home.open.model.db1.DistrictStrategy">
        <id column="id" property="id" />
        <result column="create_id" property="createId" />
        <result column="create_time" property="createTime" />
        <result column="modify_id" property="modifyId" />
        <result column="modify_time" property="modifyTime" />
        <result column="soft_delete" property="softDelete" />
        <result column="district_id" property="districtId" />
        <result column="supervisor_id" property="supervisorId" />
        <result column="warning_time" property="warningTime" />
        <result column="warning" property="warning" />
        <result column="warning2" property="warning2" />
        <result column="warning3" property="warning3" />
        <result column="paper_percent_warn" property="paperPercentWarn" />
        <result column="point_state" property="pointState" />
        <result column="assignment_work_state" property="assignmentWorkState" />
        <result column="air_state" property="airState" />
        <result column="pos_device_paper_norm" property="posDevicePaperNorm" />
        <result column="toilet_device_paper_norm" property="toiletDevicePaperNorm" />
        <result column="message_flag" property="messageFlag" />
        <result column="report_flag" property="reportFlag" />
        <result column="hardware_count" property="hardwareCount" />
        <result column="visitor_flag" property="visitorFlag" />
        <result column="paper_length_flag" property="paperLengthFlag" />
        <result column="positions_flag" property="positionsFlag" />
        <result column="assignment_flag" property="assignmentFlag" />
        <result column="clean_flag" property="cleanFlag" />
        <result column="lock_machine_flag" property="lockMachineFlag" />
        <result column="fine_money" property="fineMoney" />
        <result column="public_service_url" property="publicServiceUrl" />
        <result column="event_repair_flag" property="eventRepairFlag" />
        <result column="rfid_use_flag" property="rfidUseFlag" />
        <result column="calibrated_flag" property="calibratedFlag" />
        <result column="power_warning" property="powerWarning" />
        <result column="test_date" property="testDate" />
        <result column="honour_date" property="honourDate" />
        <result column="weaning_date" property="weaningDate" />
        <result column="paper_sales_type" property="paperSalesType" />
        <result column="device_sales_type" property="deviceSalesType" />
        <result column="district_state" property="districtState" />
        <result column="lower_paper_state" property="lowerPaperState" />
        <result column="no_paper_state" property="noPaperState" />
        <result column="wait_times" property="waitTimes" />
        <result column="test_days" property="testDays" />
        <result column="point_deduction" property="pointDeduction" />
        <result column="illegal_paper_disable" property="illegalPaperDisable" />
        <result column="effective_use_time" property="effectiveUseTime" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id, create_id, create_time, modify_id, modify_time, soft_delete, district_id, supervisor_id, warning_time, warning, warning2, warning3, paper_percent_warn, point_state, assignment_work_state, air_state, pos_device_paper_norm, toilet_device_paper_norm, message_flag, report_flag, hardware_count, visitor_flag, paper_length_flag, positions_flag, assignment_flag, clean_flag, lock_machine_flag, fine_money, public_service_url, event_repair_flag, rfid_use_flag, calibrated_flag, power_warning, test_date, honour_date, weaning_date, paper_sales_type, device_sales_type, district_state, lower_paper_state, no_paper_state, wait_times, test_days, point_deduction, illegal_paper_disable, effective_use_time
    </sql>

</mapper>
